// ========================================================================================
//    Installer for BJ Printer Setup Utility Program
//    DOS Base
//    BJ Printer (such as the A250 and A5311)
//
//    1. Version 1.00 [August 18, '95]       : Tsukasa Jackie AIBA    : create new
//    2. Version 1.01 [September 21, '95]    : Tsukasa Jackie AIBA    : add A240
//    3. Version 1.02 [September 26, '95]    : Tsukasa Jackie AIBA    : mono display
//
//    Copyright Canon Information Systems, Inc. 1995
// ========================================================================================

// ***********************************************************************
//        define global macro
// ***********************************************************************

#define        INI_FILE        "bjl.reg"

#define        SVGA_COLOR      2            // Special
#define        BW_COLOR        1            // Black & White
#define        CO_COLOR        0            // Color

#define        BK_CHAR         0xB0         // 0xB2 : background pattern
#define        BK_COLOR1       0x07         // 0x03 : background
#define        BK_COLOR2       0x08         // 0x01 : shadow
#define        BK_COLOR3       0x08         // 0x01 : shadow2

#define        WHITE_RED       0x47
#define        RED_WHITE       0x74
#define        WHITE_CYAN      0x37
#define        CYAN_WHITE      0x73
#define        WHITE_BLUE      0x17
#define        BLUE_WHITE      0x71
#define        WHITE_GRAY      0x87
#define        GRAY_WHITE      0x78
#define        GRAY_BLUE       0x38
#define        BLUE_GRAY       0x83
#define        CYAN_BLUE       0x13
#define        BLUE_CYAN       0x31
#define        GRAY_CYAN       0xB8
#define        CYAN_GRAY       0x8B
#define        GRAY_YELLOW     0xE8
#define        YELLOW_GRAY     0x8E
#define        BLACK_GRAY      0x80
#define        GRAY_BLACK      0x08
#define        BLACK_RED       0x40
#define        RED_BLACK       0x04
#define        WHITE_BLACK     0x07
#define        BLACK_WHITE     0x70
#define        WHITE_BROWN     0x67
#define        BROWN_WHITE     0x76
#define        BLACK_BROWN     0x60
#define        BROWN_BLACK     0x06
#define        BLACK_CYAN      0x30
#define        CYAN_BLACK      0x03
#define        BLACK_GREEN     0x20
#define        GREEN_BLACK     0x02
#define        BLACK_BLUE      0x10
#define        BLUE_BLACK      0x01
#define        BLACK_YELLOW    0xE0
#define        YELLOW_BLACK    0x0E
#define        GRAY_GREEN      0xA8
#define        GREEN_GRAY      0x8A
#define        WHITE_GREEN     0x27
#define        GREEN_WHITE     0x72
#define        BLACK_LCYAN     0xB0
#define        LCYAN_BLACK     0x0B

#define        OKAY            24
#define        CANCEL          25

#define        OKAY_STR        "24"
#define        CANCEL_STR      "25"

#define        FILE_ERROR      -1           // _open() error

// ***********************************************************************

int                     colors;
static sed_type         window_0,    window_1,    window_5;    //
sed_type                sedlist[1];

// ***********************************************************************
// ---------------------------------------------------- bjl_inst.c

                        spc_func        (spc_Jump);

int                     EndDisplay      (void);

int 		olddrive;			// to keep track of original drive; SK 4/30/96
static char path[_MAX_PATH];