// ========================================================================================
//    Installer for BJ Printer Setup Utility Program
//    DOS Base
//    BJ Printer (such as the A250 and A5311)
//
//    1. Version 1.00 [August 18, '95]       : Tsukasa Jackie AIBA    : Created new
//    2. Version 1.01 [September 21, '95]    : Tsukasa Jackie AIBA    : Added A240
//    3. Version 1.02 [September 26, '95]    : Tsukasa Jackie AIBA    : Added mono display
//    4. Version 1.03 [March 12, '96]        : Tsukasa Jackie AIBA    : Added MultiPASS C2500
//    5. Version 1.10 [April 30, '96]        : Tsukasa Jackie AIBA    : Added BJC-80/240/4200/4550
//
//    Copyright Canon Information Systems, Inc. 1995, 1996
// ========================================================================================

#include    "bjl_inst.h"

// ***********************************************************************
//        define global character strings
// ***********************************************************************

#define    ERROR                 " Error "
#define    ERROR_MOUSE           "\n Mouse driver is NOT found!\n"
#define    ERROR_FILE            "\n Access denied because the directory is FULL or\n the file exists and can NOT be overwritten!\n"
#define    ERROR_FILE6           "\n Too many open files!\n"
#define    ERROR_FILE7           "\n NOT enough space on target drive or\n LOW on available conventional memory\n\n      Please try again or exit!"
#define    ERROR_FILE8           "\n NOT found install disk of BJ Setup Utility\n\n             Please try again!"
#define    ERROR_HELP            "\n Unable to open help file!\n"
#define    ERROR_DRIVE           "\n Invalid drive!\n"             
#define    ERROR_DIR                     "\n Invalid directory!\n"
static char *INITFAIL_MSG =      "BJ Printer Setup Utility:  Unable to initialize display.\n";

//    Window 0 ---------------------------------------------------------------------------

#define    WINDOW_0              "   Installer for Canon BJ Printer Setup Utility   "

//    Window 1 ---------------------------------------------------------------------------

#define    WINDOW_s_1            "\n Source drive and directory : @fd[#######################################]\n"

#define    WINDOW_1_TITLE        "               Install Canon BJ Printer Setup Utility               "
#define    WINDOW_1_1            "\n Target drive and directory : @fd[#######################################]\n"
#define    WINDOW_1_2            " Use DEL, Backspace or Arrow key and type a new drive and directory "
#define    MENU_0_OK           "\n                     @fd2[ OK ]"
#define    MENU_0_CA             "                     @fd2[ Exit ]                     \n"
#define    MENU_0_OK_H           " Click or Enter to continue "
#define    MENU_0_CA_H           " Click or Enter to discontinue"

#define    WINDOW_1_3            "   Directory is not found. Create new?  \n"
#define    MENU_1_OK           "\n            @fd2[ OK ]"
#define    MENU_1_CA             "         @fd2[ Cancel ]        \n\n"

#define    WINDOW_2_1            "       Install is successful.    \n"
#define    MENU_2_OK           "\n               @f[ OK ]          \n\n"

//    Window 5 ---------------------------------------------------------------------------

#define    WINDOW_5_1            "       Installer for Canon BJ Printer Setup Utility      \n"
#define    WINDOW_5_2            "              Version 1.10 [June 12, 1996]               \n\n"
#define    WINDOW_5_3            " Copyright (c) 1995, 1996 Canon Information Systems, Inc.\n"
#define    WINDOW_5_4            "             Copyright (c) 1995, 1996 Canon Inc.         \n"
#define    WINDOW_5_5            "                    All Rights Reserved                  \n\n"

//    ------------------------------------------------------------------------------------

